Bug 973277 - glade-3 crashing when opening GTK 3 UI XML file
glade-3 crashing when opening GTK 3 UI XML file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glade3 (Show other bugs)
18
x86_64 All
unspecified Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 11:33 EDT by IBM Bug Proxy
Modified: 2014-02-05 16:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:46:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vmm-preferences.ui file from virt-manager that causes glade-3 to crash (55.14 KB, application/octet-stream)
2013-06-11 11:34 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 94512 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-11 11:33:45 EDT
== Comment: #0 - Leonardo Augusto Guimaraes Garcia <lagarcia@br.ibm.com> - 2013-06-10 09:05:19 ==
When using glade-3 to open a GTK 3 UI XML file, it encountered an invalid class property value which crashes the application.

Although the naming convention for glade in Fedora 18 is extremely confusing, I understand that glade-3 is targeted for GTK 2+ and hence might not be able to correctly read and render the UI XML. However, an invalid UI XML should not crash the application.

Steps to reproduce:

1) Open glade-3.
2) Open the file vmm-preferences.ui that can be got from virt-manager source code at git://git.fedorahosted.org/git/virt-manager.git (commit 0f8ea6eaa6cf49ae94be936d2013a322aa029c1a). This file is targeted for GTK 3.

The application crashed with the following error:

(glade-3:1748): GLib-GObject-ERROR **: cannot create instance of abstract (non-instantiatable) type `GtkBox'
Trace/breakpoint trap (core dumped)

== Comment: #1 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-06-11 11:23:27 ==
This bug has been reported at https://bugzilla.redhat.com/show_bug.cgi?id=879835
Comment 1 IBM Bug Proxy 2013-06-11 11:34:01 EDT
Created attachment 759702 [details]
vmm-preferences.ui file from virt-manager that causes glade-3 to crash
Comment 2 Fedora End Of Life 2013-12-21 08:57:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:46:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.